<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Home</title>
</head>
<body>
    <header>
        <nav>
            <ul>
                <li>
                    {% if user.is_authenticated %}
                    <a href="{% url 'logout' %}">Logout</a>
                    <a href="{% url 'account_list' %}">My Accounts</a>
                    <a href="{% url 'category_list' %}">My Categories</a>
                    {% else %}
                    <a href="{% url 'signup' %}">Sign Up</a>
                    <a href="{% url 'login' %}">Login</a>
                    {% endif %}
                </li>
            </ul>
        </nav>
    </header>
    <main>
        <h1>My Receipts</h1>
        <table>
            <thead>
                <tr>
                    <th>Vendor</th>
                    <th>Total</th>
                    <th>Tax</th>
                    <th>Date</th>
                    <th>Category</th>
                    <th>Account</th>
                </tr>
            </thead>
            <tbody>
                {% for list in list %}
                <tr>
                    <td>{{ list.vendor }}</td>
                    <td>{{ list.total }}</td>
                    <td>{{ list.tax }}</td>
                    <td>{{ list.date|date:"m/d/y" }}</td>
                    <td>{{ list.category.name }}</td>
                    <td>{{ list.account.name }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </main>
</body>
</html>
